WordPress 3.2 “Gershwin”

Včera oficiálně vyšla po více než čtyřměsíčním vývoji nová verze WordPressu 3.2 (v USA se shodou okolností zrovna slavil Den nezávislosti), což je pouze o několik dní později než byl původní plán (30. června). Tato verze nepřináší žádné velké novinky, ale snaží se optimalizovat stávající funkce po mnoha velkých změnách, které proběhly ve WordPressu 3.0. Ale i pro běžné uživatele nabízí WordPress 3.2 několik příjemných novinek.

Každá nová velká verze WordPressu se jmenuje po nějakém známém hudebníkovi/skladateli, tentokrát je to americký skladatel George Gershwin. Základní přehled novinek si můžete prohlédnout už v našem starším článku, protože se nakonec většinu navrhovaných funkcí podařilo implementovat a dřívější přehled se tak od aktuální verze příliš neliší. Doporučujeme také shlédnout přehledné “marketingové” video s podmanivou hudbou George Gershwina.

Asi nejvíce bych zdůraznil optimalizaci, protože WordPress 3.2 je opravdu viditelně rychlejší a lehčí, došlo k mnoha pozitivním změnám, jejichž výsledkem je snížení náročnosti na server, a to i přes přidání některých nových funkcí. Podařilo se např. odstranit nějaké zbytečné dotazy do databáze nebo zjednodušit logiku některých funkcí. Výsledkem je pak skutečnost, že nový WordPress 3.2 nepotřebuje o moc PHP paměti (memory_limit) více než předchozí verze. Po několika provedených testech (aktualizace z verze 3.1.4 na 3.2) se využitý memory_limit lišil pouze o desetinky MB, což je téměř nevýznamný rozdíl. Naopak došlo ještě k výraznému snížení paměťové náročnosti během automatické aktualizace, kdy docházelo k problémům nejčastěji. Předělán bylo i způsob načítání Nástěnky, která se tak na první pohled načítá výrazně rychleji a opět využívá méně paměti. Snad už máme tedy za sebou období neustálého nárůstu nároků na paměť.

Samotná automatická aktualizace doznala také důležitých změn, takže pokud vám třeba dosud z nějakého důvodu nefungovala, tak to určitě zase vyzkoušejte, protože by se to mohlo s novou verzí změnit (pozor, změna bude samozřejmě platit až při aktualizaci z již nainstalované verze 3.2 na nějakou novější). Nově by se mělo také aktualizovat pouze “jádro” WordPressu, takže pokud např. smažete plugin Hello Dolly či Akismet, tak se po automatické aktualizaci již znovu neobjeví (ale součástí samotného instalačního balíčku pro nové uživatele zatím zůstanou). Nebude tak docházet k dřívějším zmatkům, kdy se po aktualizaci WordPressu vrátil např. plugin Akismet na starší verzi. Také výchozí šablona by měla být nadále aktualizována odděleně prostřednictvím oficiálního adresáře šablon, takže může např. vyjít nová verze šablony Twenty Eleven aniž by musel být současně vydán nový WordPress. Automatická aktualizace by měla také nově probíhat pouze pro soubory, které se v nové verzi opravdu změnily, takže při případné aktualizaci na WordPress 3.2.1 by už měly být přepsány jen opravdu změněné soubory a nikoli celá instalace jako dříve.

Asi nejdůležitější změnou pro všechny uživatele jsou nové minimální požadavky pro instalaci. WordPress 3.2 totiž vyžaduje alespoň PHP 5.2.4 a MySQL 5.0. Pokud si nejste jisti, zda váš poskytovatel hostingu těmito parametry disponuje, vyzkoušejte před samotnou aktualizací na novou verzi raději plugin Health Check, po jehož aktivaci se objeví pozitivní či negativní zpráva o možnosti instalace (žádnou jinou funkci tento plugin nemá). Pokud hosting minimální požadavky nesplňuje, napište jim na technickou podporu a odkažte třeba na tento článek. Pokud hosting tyto požadavky nesplňuje a ani to nebude chtít v dohledné budoucnosti změnit, doporučujeme kvůli bezpečnosti zatím alespoň aktualizovat na WordPress 3.1.4 a postupně začít řešit přechod k jinému poskytovateli hostingu (viz např. náš banner v pravém sloupci).

Ukončení podpory Internet Exploreru 6 (WordPress 3.2)

Vývojáři WordPressu se také rozhodli začít bojovat se zastaralými prohlížeči, takže pokud stále ještě používáte Internet Explorer 6, tak si novou administraci moc neužijete, protože tento prohlížeč již nebude nadále podporován. Po přihlášení do administrace WordPressu se na Nástěnce objeví velké červené upozornění i s odkazem na novější verzi. Podobné zprávy se pak budou zobrazovat i pro další prohlížeče, např. Internet Explorer 7 a 8 (ty jsou ale nadále podporovány). WordPress používají desítky milionů uživatelů (jen počet stažení verze 3.1.x dosáhl hodnoty 15 milionů), takže toto rozhodnutí snad trochu napomůže odeslat zastaralé prohlížeče do věčných lovišť. Mimochodem, Internet Explorer 7 přestane být patrně podporován už ve WordPressu 3.3.

Další informační zprávy (WordPress 3.2)

WordPress má jedno z nejlepších uživatelských rozhraní v oblasti redakčních systémů a i WordPress 3.2 k tomu dále přispívá. Jde sice o drobné (nepatrné) změny, kdy je např. přidáno (přemístěno) tlačítko či trochu zjednodušena logika nějaké činnosti, ale výsledkem je uživatelsky velmi příjemné ovládání, které se stále trochu zlepšuje. Vznikly také dvě nové stránky s vysvětlením licence WordPressu a podrobnostmi o vývojářích a překladatelích (odkazy najdete v patičce administrace).

Co nového ještě přináší WordPress 3.2?

Hned po přihlášení do administrace si nelze nevšimnout zcela nového vzhledu. Struktura sice zůstala víceméně zachována, ale decentně se změnilo vše ostatní (fonty, barvy). Během vývoje se objevily mnohé pozitivní i negativní ohlasy, ale osobně se mi nový vzhled docela líbí, protože působí “čistěji”. I když např. název webu by možná mohl být trochu větší (jde ale spíše o zvyk). Změna postihla i ikonky vizuálního editoru, které jsou trochu jiné a ve výchozím stavu pouze šedivé, protože se vybarví až když přes ně přejedete kurzorem myši (rozdíl nejlépe uvidíte na přiloženém obrázku).

Nový vzhled administrace (WordPress 3.2)

Nové ikonky pro vizuální editor TinyMCE (WordPress 3.2)

Došlo i na novou šablonu Twenty Eleven (2011), kterou si už každý může prohlédnout a vyzkoušet (a to i v češtině). Další podrobnosti naleznete v našem starším článku a jen dodáváme, že šablona plně podporuje HTML5. Časem se seznámíme i s některými zajímavými funkcemi této šablony.

Nevyrušované psaní už jsme také zmiňovali, a protože už k žádným větším změnám u této funkce nedošlo, tak je náš starší článek stále aktuální. Všem grafomanům doporučujeme využívat, je to příjemné vylepšení a opravdu se budete lépe soustředit na samotný text a vlastní myšlenky. Dále byla ještě rozšířena administrační lišta, kde přibyly některé další užitečné odkazy.

Programátoři mají k dipozici spoustu nových funkcí, parametrů a opravených chyb. Doplněny byly také nové verze používaných externích skriptů, tedy jQuery 1.6.1 a TinyMCE 3.4.2.Postupně se seznámíme pouze s některými z nich, konkrétní detaily pak můžete nastudovat přímo z dokumentace (anglicky).

Čeština pro WordPress 3.2 vyjde přibližně za týden (bude cca o 8 % rozsáhlejší), zatím si můžete alespoň stáhnout češtinu do nové šablony Twenty Eleven, abyste ji mohli vyzkoušet či nasadit na svém webu (bude ještě v příštích dnech aktualizována na nejnovější verzi). WordPress 3.2 (anglickou verzi)si můžete stáhnout přímo na oficiálním webu nebo využít automatickou aktualizaci (o stávající češtinu tak nepřijdete, pouze se budou některé nové výrazy zobrazovat anglicky).

A jak se vám nový WordPress 3.2 líbí?

Nejoblíbenější hosting pro WordPress WEDOS.cz

33 komentářů u „WordPress 3.2 “Gershwin”“

  1. No, já se taky nemůžu dočkat, to zpomalení po upgradu mě docela vadí. Měl bych dotaz, dotkne se počeštění i obyčejného uživatele (návštěvníka), nebo jde jen o překlad administrátorského rozhraní?

    Díky

  2. Překládá se samozřejmě jen (v uvozovkách) administrace. Takže vnitřek systému (kde edituješ články atd). Návštěvník kouká na tvou stránku — šablonu. Pokud jí máš anglicky musíš si ji přeložit sám :).

  3. Carl114: mám dojem, že se překládá i část front office, například popisky ke komentářům.

  4. Překlad je určen pro administraci WordPressu + šablony Twenty Ten a Twenty Eleven. Překlad se ale projevuje částečně i v nepřeložených šablonách, záleží to na používání různých funkcí WordPressu. Některé funkce (jejich výsledky) jsou lokalizované (např. “Starší příspěvky”, atd.), takže se i v anglické šabloně mohou při správném použití objevit česky. Adresář wp-includes/theme-compat je určen pro starší šablony (respektive starší funkce WordPressu), které již nejsou nadále podporovány a postupně budou odebrány…

  5. Tak mám aktualizováno, všiml jsem si toho někdy kolem půlnoci, aktualizace proběhla bez problémů a funguje to normálně. Dobrá práce, děkuji.

  6. Dobrý den
    Dříve jsem používal k nahrávání videí z internetu pomocí Flashe. Ale ten nyní nemohu najít v liště při vytváření příspěvku. Můžete někdo poradit jak na to teď. Nechci ukládat jen odkaz.

    Díky předem za pomoc

Napsat komentář

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *